import xbmc
import xbmcgui
import json
import xbmcplugin

def play_hls_content(hls_info, addon_handle):
    try:
        hls_info = hls_info.replace("'", '"')
        user_agent = 'User-Agent=Mozilla/5.0 (Web0S; Linux/SmartTV) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/94.0.4606.128 Safari/537.36 WebAppManager'
        channel = json.loads(hls_info)
        
        if channel and 'hls_url' in channel:  # Assumendo che l'URL HLS si chiami 'hls_url'
            xbmc.log(f"Channel data: {channel}", level=xbmc.LOGINFO)
            play_url = channel['hls_url']

            list_item = xbmcgui.ListItem(path=play_url)
            list_item.setProperty('IsPlayable', 'true')
            list_item.setProperty('inputstream', 'inputstream.adaptive')
            list_item.setProperty('inputstream.adaptive.manifest_type', 'hls')
            list_item.setProperty('inputstream.adaptive.stream_headers', f'User-Agent={user_agent}')
            play_url = play_url +'|User-Agent='+user_agent
            xbmc.executebuiltin("PlayMedia(" + play_url + ")")
            xbmcplugin.setResolvedUrl(addon_handle, True, listitem=list_item)
        else:
            xbmc.log("Canale non trovato o manca l'URL HLS", level=xbmc.LOGERROR)
            xbmcgui.Dialog().notification('Errore', 'Canale non trovato o manca l\'URL HLS', xbmcgui.NOTIFICATION_ERROR, 5000)
    except Exception as e:
        xbmc.log(f"Errore generale in play_hls_content: {str(e)}", level=xbmc.LOGERROR)
        xbmcgui.Dialog().notification('Errore', 'Errore durante la riproduzione HLS', xbmcgui.NOTIFICATION_ERROR, 5000)
